{% extends 'base.html' %}

{% block content %}

<div class="row page-titles">
    <div class="col-md-6 col-8 align-self-center">
        <h3 class="text-themecolor m-b-0 m-t-0">Dashboard</h3>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
            <li class="breadcrumb-item active">Dashboard</li>
        </ol>
    </div>
    <div class="col-md-6 col-4 align-self-center">  
        <a     class="btn pull-right hidden-sm-down btn-success"
    {% if request.GET.p == '1' %}
        href="/?p=0">
            Show all
    {% else %}
        href="/?p=1">
    Show pending
    {% endif %}
    </a>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<!-- Row -->
<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Tools list</h4>
                <div class="table-responsive">
                    <table class="table no-wrap" id="toolTable">
                        <thead>
                            <tr>
                                <th>Tool ID</th>
                                <th>Name</th>
                                <th>Pass Date</th>
                                <th>Test engineer</th>
                                <th>Next due</th>
                                <th>Pending</th>
                                <th>Show revision</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for tool in object_list %}
                                <tr>
                                    <td>{{tool.identifier}}</td>
                                    <td>{{tool.name}}</td>
                                    <td>{{tool.last_rev.date|default:'Not on file'}}</td>
                                    <td>{{tool.last_rev.test_engineer|default:'Not on file'}}</td>
                                    <td>{{tool.last_rev.next_due|default:'Not on file'}}</td>
                                    <td>
                                    {% if tool.pending %}
                                        <a href="addrevision?init={{tool.id}}" class="btn waves-effect waves-light btn-warning">Add revision</a>
                                    {% else %}
                                        False
                                    {% endif %}
                                    </td>
                                    <td>
                                    <a href="revisions/{{tool.id}}" class="btn waves-effect waves-light btn-info">Show revision</a>
                                    </td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


{% endblock content %}

{% block script %}
{% endblock script %}